package com.sisoft.android.adapter1;


import android.app.Activity;
import android.os.Bundle;
import android.view.View;
import android.widget.Adapter;
import android.widget.AdapterView;
import android.widget.ArrayAdapter;
import android.widget.ImageView;
import android.widget.ListView;
import android.widget.Toast;

public class ListDisplay extends Activity implements AdapterView.OnItemClickListener {
    // Array of strings...
    String[] RestArray = {"KFC","McDonalds","Pizza Hut",
            "StartBucks","Subway"};

    int[] RestImage = {R.drawable.kfc,R.drawable.mcd,
            R.drawable.pizzahut,R.drawable.starbucks,R.drawable.subway};

    ImageView iv;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        iv = (ImageView)findViewById(R.id.iv);

        ArrayAdapter adapter = new ArrayAdapter<String>
                (this, R.layout.activity_listview, RestArray);


        ListView listView = (ListView) findViewById(R.id.rest_list);
        listView.setAdapter(adapter);

        listView.setOnItemClickListener(this);

    }

    public void onItemClick(AdapterView parent,View v,int position,long id)

    {
        Toast.makeText(this,RestArray[position],Toast.LENGTH_SHORT).show();
        iv.setImageResource(RestImage[position]);
    }
}